<?php
//------- Category background Setting ----------------
add_action( 'product_cat_add_form_fields', 'woocommerce_add_category_fields2' );
//-------add--------
function woocommerce_add_category_fields2(){  
  global $woocommerce;
  wp_enqueue_style('thickbox');
  wp_enqueue_script('thickbox');  
	?>
<?php  
}

add_action( 'product_cat_edit_form_fields', 'woocommerce_edit_category_fields2',9,4 );
//---------edit category-------
function woocommerce_edit_category_fields2($term, $taxonomy ){
  $bg_img	= get_woocommerce_term_meta( $term->term_id,'wcb_bg_image', true);  
  if ($bg_img) :
		$bg_image = $bg_img;
    $bg_image_url= $bg_img;
	else :
		$bg_image = woocommerce_placeholder_img_src();
    $bg_image_url='';
	endif;
  
  $banner_img	= get_woocommerce_term_meta( $term->term_id,'wcb_banner_image', true);
  $cat_banner_height=get_woocommerce_term_meta( $term->term_id,'wcb_banner_image_height', true);
  if ($banner_img) :
		$banner_image = $banner_img;
	else :
		$banner_image = woocommerce_placeholder_img_src();
	endif;
  
  ?>
  <tr class="form-field">
		<th scope="row" valign="top"><label><?php _e( 'Background Image', 'woocommerce' ); ?></label></th>
		<td>
			<div id="product_cat_bg_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $bg_image; ?>" width="60px" height="60px" /></div>
			<div style="line-height:60px;">        
        
				<input type="hidden" id="product_cat_bg_url" name="product_cat_bg_url" value="<?php echo $bg_image_url; ?>" />
				<button type="button" class="bg_upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
				<button type="button" class="remove_cat_bg_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
			</div>
			<script type="text/javascript">
				// Uploading files
				var file_frame2;

				jQuery(document).on( 'click', '.bg_upload_image_button', function( event ){          
					event.preventDefault();
					// If the media frame already exists, reopen it.
          
					// Create the media frame.
					file_frame2 = wp.media.frames.downloadable_file = wp.media({
						title: '<?php _e( 'Choose an image', 'woocommerce' ); ?>',
						button: {
							text: '<?php _e( 'Use image', 'woocommerce' ); ?>',
						},
						multiple: false
					});
					// When an image is selected, run a callback.
					file_frame2.on( 'select', function() {          
						attachment = file_frame2.state().get('selection').first().toJSON();
						jQuery('#product_cat_bg_url').val(attachment.url);
						jQuery('#product_cat_bg_thumbnail > img').attr('src', attachment.url );
						jQuery('.remove_cat_bg_image_button').show();
					});
					// Finally, open the modal.
					file_frame2.open();
				});
				jQuery(document).on( 'click', '.remove_cat_bg_image_button', function( event ){
					jQuery('#product_cat_bg_thumbnail img').attr('src', '<?php echo woocommerce_placeholder_img_src(); ?>');
					jQuery('#product_cat_bg_url').val('');
					jQuery('.remove_cat_bg_image_button').hide();
					return false;
				});
			</script>
			<div class="clear"></div>
		</td>
	</tr>
  
  <tr class="form-field">
		<th scope="row" valign="top"><label><?php _e( 'Banner Image', 'woocommerce' ); ?></label></th>
		<td>
			<div id="product_cat_banner_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $banner_image; ?>" width="60px" height="60px" /></div>
			<div style="line-height:60px;">        
				<input type="hidden" id="product_cat_banner_url" name="product_cat_banner_url" value="<?php echo $banner_image; ?>" />
				<button type="button" class="banner_upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
				<button type="button" class="remove_cat_banner_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
			</div>
			<script type="text/javascript">
				// Uploading files
				var wcb_file_frame_banner;

				jQuery(document).on( 'click', '.banner_upload_image_button', function( event ){          
					event.preventDefault();
					// If the media frame already exists, reopen it.
					if ( wcb_file_frame_banner ) {
						wcb_file_frame_banner.open();
						return;
					}
					// Create the media frame.
					wcb_file_frame_banner = wp.media.frames.downloadable_file = wp.media({
						title: '<?php _e( 'Choose an image', 'woocommerce' ); ?>',
						button: {
							text: '<?php _e( 'Use image', 'woocommerce' ); ?>',
						},
						multiple: false
					});
					// When an image is selected, run a callback.
					wcb_file_frame_banner.on( 'select', function() {          
						attachment = wcb_file_frame_banner.state().get('selection').first().toJSON();
						jQuery('#product_cat_banner_url').val(attachment.url);
						jQuery('#product_cat_banner_thumbnail > img').attr('src', attachment.url );
						jQuery('.remove_cat_banner_image_button').show();
					});
					// Finally, open the modal.
					wcb_file_frame_banner.open();
				});
				jQuery(document).on( 'click', '.remove_cat_banner_image_button', function( event ){
					jQuery('#product_cat_banner_thumbnail img').attr('src', '<?php echo woocommerce_placeholder_img_src(); ?>');
					jQuery('#product_cat_banner_url').val('');
					jQuery('.remove_cat_banner_image_button').hide();
					return false;
				});
			</script>
			<div class="clear"></div>
		</td>
	</tr>
  <tr valign="top" style="display: none;"> 
				<th scope="row" valign="top"><label><?php _e( 'Banner Image Height', 'woocommerce' ); ?></th>
				<td>
            <select name="product_cat_banner_height">
              <?php for($i=50; $i<=500; $i++){?>
                <option value="<?php echo $i?>"<?php if ($cat_banner_height==$i):?> selected="selected"<?php endif;?>><?php echo $i;?></option>
              <?php }?>
            </select> [px]
				</td>
	</tr>
  <?php
}

add_action( 'created_term', 'woocommerce_category_fields_save2', 10,3 );
add_action( 'edit_term', 'woocommerce_category_fields_save2', 10,3 );
//-------- Save Category ----------
function woocommerce_category_fields_save2($term_id, $tt_id, $taxonomy){
  //--edit
  if(isset ($_POST['product_cat_bg_url'])){
    if (strpos($_POST['product_cat_bg_url'],'placeholder')!==false) {
        update_woocommerce_term_meta($term_id, 'wcb_bg_image', '');
    } else {
        update_woocommerce_term_meta($term_id, 'wcb_bg_image', $_POST['product_cat_bg_url']);
    }    
  }
  
  if(isset ($_POST['product_cat_banner_url'])){
    if (strpos($_POST['product_cat_banner_url'],'placeholder')!==false) {
        update_woocommerce_term_meta($term_id, 'wcb_banner_image', '');
    } else {
        update_woocommerce_term_meta($term_id, 'wcb_banner_image', $_POST['product_cat_banner_url']);
    }    
  }
  
  if(isset ($_POST['product_cat_banner_height'])){
    update_woocommerce_term_meta($term_id, 'wcb_banner_image_height', $_POST['product_cat_banner_height']);
  }
  //--add
  if(isset ($_POST['wcb_bg_image'])){
    update_woocommerce_term_meta($term_id, 'wcb_bg_image', $_POST['wcb_bg_image']);
  }  
  if(isset ($_POST['wcb_banner_image'])){
    update_woocommerce_term_meta($term_id, 'wcb_banner_image', $_POST['wcb_banner_image']);
  }
  if(isset ($_POST['wcb_banner_image_height'])){
    update_woocommerce_term_meta($term_id, 'wcb_banner_image_height', $_POST['wcb_banner_image_height']);
  }
}
?>