<?php
function wcb_product_page_bg(){
  global $woocommerce;
    wp_enqueue_media();
  if(isset($_POST["wcb_product_bg_url"])){    
    if (strpos($_POST['wcb_product_bg_url'],'placeholder')!==false) {
        update_option('wcb_product_page_bg_url', '');
    } else {
        update_option('wcb_product_page_bg_url',$_POST['wcb_product_bg_url']);
    }
  }
  $bg_img	= get_option('wcb_product_page_bg_url');  
  if ($bg_img) :
		$wcb_prod_page_bg_image = $bg_img;
	else :
		$wcb_prod_page_bg_image = woocommerce_placeholder_img_src();
	endif;
  
  
  ?>
<h2>Product page background</h2>
<form method="post" name="wcb_prod_page_bg" action="admin.php?page=woo-custom-background/includes/wcb-init.php&act=wcb_prod_page_bg" >
  
		<table width="100%" cellspacing="2" cellpadding="5" class="editform">
       <tr>
		<td scope="row" valign="top"><label><?php _e( 'Background Image', 'woocommerce' ); ?></label></td>
		<td>
			<div id="wcb_product_bg_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo $wcb_prod_page_bg_image; ?>" width="60px" height="60px" /></div>
			<div style="line-height:60px; width: 500px;">        
				<input type="hidden" id="wcb_product_bg_url" name="wcb_product_bg_url" value="<?php echo $wcb_prod_page_bg_image; ?>" />
				<button type="button" class="wcb_product_page_bg_upload_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
				<button type="button" class="wcb_remove_prod_bg_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
			</div>
			<script type="text/javascript">
				// Uploading files
				var wcb_prod_file_frame;

				jQuery(document).on( 'click', '.wcb_product_page_bg_upload_button', function( event ){
         
					event.preventDefault();


					// Create the media frame.
					wcb_prod_file_frame = wp.media.frames.downloadable_file = wp.media({
						title: '<?php _e( 'Choose an image', 'woocommerce' ); ?>',
						button: {
							text: '<?php _e( 'Use image', 'woocommerce' ); ?>',
						},
						multiple: false
					});
					// When an image is selected, run a callback.
					wcb_prod_file_frame.on( 'select', function() {          
						attachment = wcb_prod_file_frame.state().get('selection').first().toJSON();
						jQuery('#wcb_product_bg_url').val(attachment.url);
						jQuery('#wcb_product_bg_thumbnail > img').attr('src', attachment.url );
						jQuery('.wcb_remove_prod_bg_image_button').show();
					});
					// Finally, open the modal.
					wcb_prod_file_frame.open();
				});
        
        
				jQuery(document).on( 'click', '.wcb_remove_prod_bg_image_button', function( event ){
					jQuery('#wcb_product_bg_thumbnail img').attr('src', '<?php echo woocommerce_placeholder_img_src(); ?>');
					jQuery('#wcb_product_bg_url').val('');
					jQuery('.wcb_remove_prod_bg_image_button').hide();
					return false;
				});
			</script>
			<div class="clear"></div>
		</td>
	</tr>
  <tr>
    <td></td>
    <td>
      <input type="submit" value="Save" class="button-primary" style="width:100px; border:none;" />
    </td>
  </tr>
    </table> 
  
</form>  


<?php
}
?>